Page MenuHomePhabricator

rust-matchers: add `build_regex_match` function
ClosedPublic

Authored by Alphare on Jan 17 2020, 5:42 AM.

Details

Summary

This function will be used to help build the upcoming IncludeMatcher.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Alphare created this revision.Jan 17 2020, 5:42 AM
Alphare updated this revision to Diff 19419.Jan 17 2020, 11:53 AM
Alphare updated this revision to Diff 19940.Feb 6 2020, 10:15 AM
kevincox accepted this revision.Feb 10 2020, 10:39 AM
kevincox added inline comments.
rust/hg-core/src/matchers.rs
246

Can you describe the return value here? It seems odd that we return the regex and a matcher. It would be good to point that out.

Alphare marked an inline comment as done.Feb 10 2020, 10:58 AM
Alphare updated this revision to Diff 20042.Feb 10 2020, 11:29 AM
Alphare updated this revision to Diff 20162.Feb 11 2020, 6:13 AM
martinvonz accepted this revision.Mar 6 2020, 2:00 AM
This revision is now accepted and ready to land.Mar 6 2020, 2:00 AM
This revision was automatically updated to reflect the committed changes.